Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.web.bindery.requestfactory.gwt.ui.client
Class EntityProxyKeyProvider<P extends EntityProxy>

    java.lang.Object
      com.google.web.bindery.requestfactory.gwt.ui.client.EntityProxyKeyProvider<P>

Type Parameters:
  `P` - the proxy type

All Implemented Interfaces:
  ProvidesKey<P>

    public class EntityProxyKeyProvider<P extends EntityProxy>

extends java.lang.Object
implements ProvidesKey<P>

An `EntityProxy`-aware key provider, handy for use with `SelectionModel` and various cell widgets.

See Also:
  `CellBrowser`, `CellList`, `CellTable`

Constructor Summary
`EntityProxyKeyProvider()`

Method Summary
`java.lang.Object` | `getKey(P item)` Returns the key Object for the given item.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EntityProxyKeyProvider

    public EntityProxyKeyProvider()

Method Detail

### getKey

    public java.lang.Object getKey(P item)

  Returns the key Object for the given item.

  Specified by:
    `getKey` in interface `ProvidesKey<P extends EntityProxy>`
  Parameters:
    `item` - an item of type P
  Returns:
    the key that represents the item

Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD